<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ReportLog extends BaseModel
{
    use HasFactory;
    protected $guarded = [];
    public function emppersonaldetails()
    {
        return $this->belongsTo(EmpPersonalDetails::class,'employee_id', 'emp_id');
    }
    public function empcompanydetails()
    {
        return $this->belongsTo(EmpCompanyDetails::class,'employee_id', 'id');
    }
}
